# LLMs.txt Generator

A Drupal module for generating and managing an `llms.txt` file on your website
to control how Large Language Models (LLMs) like ChatGPT, Claude, and others
interact with your site content.

## Overview

This module allows site administrators to:

- Create and maintain an `llms.txt` file for their website.
- Customize the file content through an administration interface.
- Control whether the file is enabled or disabled.

## What is llms.txt?

The `llms.txt` file provides guidance to AI crawlers and large language models
about how they should interact with your website content. Similar to
`robots.txt` for search engines, it helps establish boundaries for:

- Content usage permissions.
- Rate limiting requests.
- Caching policies.
- Attribution requirements.
- Training allowances.

## Installation

1. Install the module using Composer or by placing it in your modules directory.
2. Enable the module through the Drupal admin interface or Drush.
3. Access the configuration form at:
   Administration > Configuration > Search and metadata > LLMs.txt Generator

## Configuration

The module provides a form for configuring:

- The content of your `llms.txt` file.
- Whether the file is enabled/disabled.
- A reset button to return to the default template.

## Default Template

The module includes a default template with common sections like:

- Site information.
- Access guidelines.
- URL sections for important content.
- Information for human visitors.

## File Location

When enabled, the `llms.txt` file is accessible at:

```
https://yoursite.com/llms.txt
```

## Requirements

This module requires Drupal 9 or higher.
